## org.openorb.util
Class Trace.IllegalConditionError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Error
                  |
                  +--org.openorb.util.Trace.IllegalConditionError

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Trace

public static class Trace.IllegalConditionError
extends java.lang.Error

A specialization of Error for signalling the occurrence of an illegal condition.

See Also:
  Serialized Form

Constructor Summary
`Trace.IllegalConditionError(java.lang.String message)` Contructs the object with the passed message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Trace.IllegalConditionError

    public Trace.IllegalConditionError(java.lang.String message)

  Contructs the object with the passed message.
  Parameters:
    `message` - the signal's message, permitted to be `null`